# $Revision: 1.5 $, $Date: 2003/02/14 03:48:59 $
Summary:	PAM chroot module
Summary(pl):	Modu PAM zamykajcy uytkownika w chrootcie
Name:		pam_chroot
Version:	0.6
Release:	1
License:	GPL v2
Vendor:		Ed Schmollinger <schmolli@frozencrow.org>
Group:		Applications/System
Source0:	http://www.kernel.org/pub/linux/libs/pam/pre/modules/%{name}-%{version}.tar.bz2
URL:		http://www.kernel.org/pub/linux/libs/pam/pre/modules/
BuildRequires:	pam-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PAM module which allows to chroot user enviroment.

%description -l pl
Modu PAM pozwalajcy na zamknicie uytkownika w chroot'cie.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="-fPIC %{rpmcflags} -Wall -Werror -pedantic"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{etc/security,lib/security}

install pam_chroot.so $RPM_BUILD_ROOT/lib/security
install chroot.conf $RPM_BUILD_ROOT%{_sysconfdir}/security/chroot.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS options chroot.conf
%attr(755,root,root) /lib/security/pam_chroot.so
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/security/chroot.conf

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pam_chroot.spec,v $
Revision 1.5  2003/02/14 03:48:59  kloczek
- use proper CC and CFLAGS.

Revision 1.4  2003/02/14 03:45:44  kloczek
- spec adapterized and some cleanups.

Revision 1.3  2003/02/13 18:50:47  ppv
- yeah, change 2 dirs to security and leave config in sysconfig.. am I stupid or what?

Revision 1.2  2003/02/13 18:45:54  ppv
- module calls for /etc/security/chroot.conf
- correction of .pl letters in specfile

Revision 1.1  2003/02/13 18:19:23  ppv
- specfile by Micha J. Podyma

* Wed Feb 12 2003 Micha J. Podyma <misiek@r-h.pl>
- intial RPM
